Index: Singular/mpr_inout.cc
===================================================================
--- Singular/mpr_inout.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_inout.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,7 +2,7 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_inout.cc,v 1.1 1999-06-28 12:48:14 wenk Exp $ */
-
-/* 
+/* $Id: mpr_inout.cc,v 1.2 1999-06-28 16:06:28 Singular Exp $ */
+
+/*
 * ABSTRACT - multipolynomial resultant
 */
@@ -14,5 +14,5 @@
 #include "tok.h"
 #include "structs.h"
-#include "subexpr.h"  
+#include "subexpr.h"
 #include "polys.h"
 #include "ideals.h"
@@ -47,8 +47,9 @@
 #define TIMING_EPR(t,msg) TIMING_END_AND_PRINT(t,msg);TIMING_RESET(t);
 
-enum mprState{ 
-    mprOk, 
+enum mprState
+{
+    mprOk,
     mprWrongRType,
-    mprHasOne, 
+    mprHasOne,
     mprInfNumOfVars,
     mprNotReduced,
@@ -61,5 +62,5 @@
 //<-
 
-//-> nPrint(number n) 
+//-> nPrint(number n)
 void nPrint(number n)
 {
@@ -76,7 +77,8 @@
 void mprPrintError( mprState state, const char * name )
 {
-  switch (state) {
+  switch (state)
+  {
   case mprWrongRType:
-    Werror("Unknown resultant matrix type choosen!");
+    WerrorS("Unknown resultant matrix type choosen!");
     break;
   case mprHasOne:
@@ -85,5 +87,5 @@
   case mprInfNumOfVars:
     Werror("Numer of elements in given ideal %s must be equal to %d!",
-	   name,pVariables+1);
+           name,pVariables+1);
     break;
   case mprNotZeroDim:
@@ -92,5 +94,5 @@
   case mprNotHomog:
     Werror("The given ideal %s has to be homogeneous in"
-	   " the first ring variable!",name);
+           " the first ring variable!",name);
     break;
   case mprNotReduced:
@@ -98,5 +100,5 @@
     break;
   case mprUnSupField:
-    Werror("Ground field not implemented!");
+    WerrorS("Ground field not implemented!");
     break;
   default:
@@ -107,17 +109,17 @@
 
 //-> mprState mprIdealCheck()
-mprState mprIdealCheck( const ideal theIdeal, 
-			const char * name, 
-			uResultant::resMatType mtype, 
-			BOOLEAN rmatrix= false )
+mprState mprIdealCheck( const ideal theIdeal,
+                        const char * name,
+                        uResultant::resMatType mtype,
+                        BOOLEAN rmatrix= false )
 {
   mprState state = mprOk;
   int power;
-  int k; 
+  int k;
 
   int numOfVars= mtype == uResultant::denseResMat?pVariables-1:pVariables;
   if ( rmatrix ) numOfVars++;
 
-  if ( mtype == uResultant::none ) 
+  if ( mtype == uResultant::none )
     state= mprWrongRType;
 
@@ -125,17 +127,18 @@
     state= mprInfNumOfVars;
 
-  for ( k= IDELEMS(theIdeal) - 1; (state == mprOk) && (k >= 0); k-- ) {
+  for ( k= IDELEMS(theIdeal) - 1; (state == mprOk) && (k >= 0); k-- )
+  {
     poly p = (theIdeal->m)[k];
     if ( pIsConstant(p) ) state= mprHasOne;
-    else 
-    if ( (mtype == uResultant::denseResMat) && !pIsHomogeneous(p) ) 
+    else
+    if ( (mtype == uResultant::denseResMat) && !pIsHomogeneous(p) )
       state=mprNotHomog;
   }
 
   if ( !(rField_is_R()||
-	 rField_is_Q()||
-	 rField_is_long_R()||
-	 rField_is_long_C()||
-	 (rmatrix && rField_is_Q_a())) ) 
+         rField_is_Q()||
+         rField_is_long_R()||
+         rField_is_long_C()||
+         (rmatrix && rField_is_Q_a())) )
     state= mprUnSupField;
 
@@ -149,5 +152,6 @@
 uResultant::resMatType determineMType( int imtype )
 {
-  switch ( imtype ) {
+  switch ( imtype )
+  {
   case MPR_DENSE:
     return uResultant::denseResMat;
@@ -181,9 +185,10 @@
   res->rtyp = LIST_CMD;
   res->data= (void *)emptylist;
-  
+
   TIMING_START(mpr_overall);
 
   // check input ideal ( = polynomial system )
-  if ( mprIdealCheck( gls, arg1->Name(), mtype ) != mprOk ) {
+  if ( mprIdealCheck( gls, arg1->Name(), mtype ) != mprOk )
+  {
     return TRUE;
   }
@@ -197,6 +202,7 @@
   TIMING_START(mpr_constr);
   ures= new uResultant( gls, mtype );
-  if ( ures->accessResMat()->initState() != resMatrixBase::ready ) {
-    Werror("Error occurred during matrix setup!");
+  if ( ures->accessResMat()->initState() != resMatrixBase::ready )
+  {
+    WerrorS("Error occurred during matrix setup!");
     return TRUE;
   }
@@ -205,11 +211,13 @@
   // if dense resultant, check if minor nonsingular
   TIMING_START(mpr_check);
-  if ( mtype == uResultant::denseResMat ) {
+  if ( mtype == uResultant::denseResMat )
+  {
     smv= ures->accessResMat()->getSubDet();
 #ifdef mprDEBUG_PROT
     Print("// Determinant of submatrix: ");nPrint(smv);PrintLn();
 #endif
-    if ( nIsZero(smv) ) {
-      Werror("Unsuitable input ideal: Minor of resultant matrix is singular!");
+    if ( nIsZero(smv) )
+    {
+      WerrorS("Unsuitable input ideal: Minor of resultant matrix is singular!");
       return TRUE;
     }
@@ -220,6 +228,6 @@
   TIMING_START(mpr_ures);
   if ( interpolate_det )
-    iproots= ures->interpolateDenseSP( false, smv );  
-  else 
+    iproots= ures->interpolateDenseSP( false, smv );
+  else
     iproots= ures->specializeInU( false, smv );
   TIMING_EPR(mpr_ures,   "interpolation ures\t")
@@ -227,7 +235,7 @@
   // main task 3: Interpolate specialized resultant polynomials
   TIMING_START(mpr_mures);
-  if ( interpolate_det ) 
+  if ( interpolate_det )
     muiproots= ures->interpolateDenseSP( true, smv );
-  else 
+  else
     muiproots= ures->specializeInU( true, smv );
   TIMING_EPR(mpr_mures,  "interpolation mures\t")
@@ -245,13 +253,16 @@
   arranger->solve_all();
   TIMING_EPR(mpr_solver, "solver time\t\t");
-   
+
   // get list of roots
-  if ( arranger->success() ) {
+  if ( arranger->success() )
+  {
     TIMING_START(mpr_arrange);
     arranger->arrange();
     TIMING_EPR(mpr_arrange, "arrange time\t\t");
     listofroots= arranger->listOfRoots( gmp_output_digits );
-  } else {
-    Werror("Solver was unable to find any root!");
+  }
+  else
+  {
+    WerrorS("Solver was unable to find any root!");
     return TRUE;
   }
@@ -273,5 +284,5 @@
   emptylist->Clean();
   //Free( (ADDRESS) emptylist, sizeof(slists) );
-  
+
   TIMING_EPR(mpr_overall,"overall time\t\t")
 
@@ -290,5 +301,6 @@
 
   // check input ideal ( = polynomial system )
-  if ( mprIdealCheck( gls, arg1->Name(), mtype, true ) != mprOk ) {
+  if ( mprIdealCheck( gls, arg1->Name(), mtype, true ) != mprOk )
+  {
     return TRUE;
   }
@@ -300,5 +312,5 @@
 
   delete resMat;
-  
+
   return FALSE;
 }
@@ -312,5 +324,5 @@
   gls= (poly)(arg1->Data());
   int howclean= (int)arg2->Data();
-  
+
   int deg= pTotaldegree( gls );
   //  int deg= pDeg( gls );
@@ -325,24 +337,29 @@
 
   if ( !(rField_is_R() ||
-	 rField_is_Q() ||
-	 rField_is_long_R() ||
-	 rField_is_long_C()) ) {
-    Werror("Ground field not implemented!\n");
-    return TRUE;
-  }
-
-  if ( pVariables > 1 ) {
+         rField_is_Q() ||
+         rField_is_long_R() ||
+         rField_is_long_C()) )
+         {
+    WerrorS("Ground field not implemented!");
+    return TRUE;
+  }
+
+  if ( pVariables > 1 )
+  {
     piter= gls;
-    for ( i= 1; i <= pVariables; i++ ) 
-      if ( pGetExp( piter, i ) ) {
-	vpos= i;
-	break;
+    for ( i= 1; i <= pVariables; i++ )
+      if ( pGetExp( piter, i ) )
+      {
+        vpos= i;
+        break;
       }
-    while ( piter ) {
-      for ( i= 1; i <= pVariables; i++ ) 
-	if ( (vpos != i) && (pGetExp( piter, i ) != 0) ) {
-	  Werror("The polynomial %s must be univariate!",arg1->Name());
-	  return TRUE;
-	}
+    while ( piter )
+    {
+      for ( i= 1; i <= pVariables; i++ )
+        if ( (vpos != i) && (pGetExp( piter, i ) != 0) )
+        {
+          Werror("The polynomial %s must be univariate!",arg1->Name());
+          return TRUE;
+        }
       pIter( piter );
     }
@@ -352,17 +369,22 @@
   number * pcoeffs= (number *)Alloc( (deg+1) * sizeof( number ) );
   piter= gls;
-  for ( i= deg; i >= 0; i-- ) {
+  for ( i= deg; i >= 0; i-- )
+  {
     //if ( piter ) Print("deg %d, pDeg(piter) %d\n",i,pTotaldegree(piter));
-    if ( piter && pTotaldegree(piter) == i ) {
+    if ( piter && pTotaldegree(piter) == i )
+    {
       pcoeffs[i]= nCopy( pGetCoeff( piter ) );
       //nPrint( pcoeffs[i] );Print("  ");
       pIter( piter );
-    } else {
+    }
+    else
+    {
       pcoeffs[i]= nInit(0);
     }
-  }  
+  }
 
 #ifdef mprDEBUG_PROT
-  for (i=deg; i >= 0; i--) {
+  for (i=deg; i >= 0; i--)
+  {
     nPrint( pcoeffs[i] );Print("  ");
   }
@@ -383,12 +405,17 @@
   rlist->Init( elem );
 
-  if (rField_is_long_C()) {
-    for ( j= 0; j < elem; j++ ) {
+  if (rField_is_long_C())
+  {
+    for ( j= 0; j < elem; j++ )
+    {
       rlist->m[j].rtyp=NUMBER_CMD;
       rlist->m[j].data=(void *)nCopy((number)(roots->getRoot(j)));
       //rlist->m[j].data=(void *)(number)(roots->getRoot(j));
     }
-  } else {
-    for ( j= 0; j < elem; j++ ) {
+  }
+  else
+  {
+    for ( j= 0; j < elem; j++ )
+    {
       dummy = complexToStr( (*roots)[j], gmp_output_digits );
       rlist->m[j].rtyp=STRING_CMD;
@@ -423,29 +450,34 @@
   // p can be a vector of numbers (multivariate polynom)
   //   or one number (univariate polynom)
-  // tdg = deg(f) 
-
-  int n= IDELEMS( p ); 
+  // tdg = deg(f)
+
+  int n= IDELEMS( p );
   int m= IDELEMS( w );
   int tdg= (int)arg3->Data();
 
   res->data= (void*)NULL;
-  
+
   // check the input
-  if ( tdg < 1 ) {
-    Werror("Last input parameter must be > 0!");
-    return TRUE;
-  }
-  if ( n != pVariables ) {
-    Werror("Size of first input ideal must be equal to %d!\n",pVariables);
-    return TRUE;
-  }
-  if ( m != (int)pow((double)tdg+1,(int)n) ) {
-    Werror("Size of second input ideal must be equal to %d!\n",(int)pow((double)tdg+1,(int)n));
+  if ( tdg < 1 )
+  {
+    WerrorS("Last input parameter must be > 0!");
+    return TRUE;
+  }
+  if ( n != pVariables )
+  {
+    Werror("Size of first input ideal must be equal to %d!",pVariables);
+    return TRUE;
+  }
+  if ( m != (int)pow((double)tdg+1,(int)n) )
+  {
+    Werror("Size of second input ideal must be equal to %d!",
+      (int)pow((double)tdg+1,(int)n));
     return TRUE;
   }
   if ( !(rField_is_Q() /* ||
-	 rField_is_R() || rField_is_long_R() ||
-	 rField_is_long_C()*/ ) ) {
-    Werror("Ground field not implemented!\n");
+         rField_is_R() || rField_is_long_R() ||
+         rField_is_long_C()*/ ) )
+         {
+    WerrorS("Ground field not implemented!");
     return TRUE;
   }
@@ -453,19 +485,24 @@
   number tmp;
   number *pevpoint= (number *)Alloc( n * sizeof( number ) );
-  for ( i= 0; i < n; i++ ) {
+  for ( i= 0; i < n; i++ )
+  {
     pevpoint[i]=nInit(0);
-    if (  (p->m)[i] ) {
+    if (  (p->m)[i] )
+    {
       tmp = pGetCoeff( (p->m)[i] );
-      if ( nIsZero(tmp) || nIsOne(tmp) || nIsMOne(tmp) ) {
-	Free( (ADDRESS)pevpoint, n * sizeof( number ) );
-	Werror("Elements of first input ideal must not be equal to -1, 0, 1!");
-	return TRUE;
+      if ( nIsZero(tmp) || nIsOne(tmp) || nIsMOne(tmp) )
+      {
+        Free( (ADDRESS)pevpoint, n * sizeof( number ) );
+        WerrorS("Elements of first input ideal must not be equal to -1, 0, 1!");
+        return TRUE;
       }
     } else tmp= NULL;
-    if ( !nIsZero(tmp) ) {
-      if ( !pIsConstant((p->m)[i])) {
-	Free( (ADDRESS)pevpoint, n * sizeof( number ) );
-	Werror("Elements of first input ideal must be numbers!");
-	return TRUE;
+    if ( !nIsZero(tmp) )
+    {
+      if ( !pIsConstant((p->m)[i]))
+      {
+        Free( (ADDRESS)pevpoint, n * sizeof( number ) );
+        WerrorS("Elements of first input ideal must be numbers!");
+        return TRUE;
       }
       pevpoint[i]= nCopy( tmp );
@@ -474,12 +511,15 @@
 
   number *wresults= (number *)Alloc( m * sizeof( number ) );
-  for ( i= 0; i < m; i++ ) {
+  for ( i= 0; i < m; i++ )
+  {
     wresults[i]= nInit(0);
-    if ( (w->m)[i] && !nIsZero(pGetCoeff((w->m)[i])) ) {
-      if ( !pIsConstant((w->m)[i])) {
-	Free( (ADDRESS)pevpoint, n * sizeof( number ) );
-	Free( (ADDRESS)wresults, m * sizeof( number ) );
-	Werror("Elements of second input ideal must be numbers!");
-	return TRUE;
+    if ( (w->m)[i] && !nIsZero(pGetCoeff((w->m)[i])) )
+    {
+      if ( !pIsConstant((w->m)[i]))
+      {
+        Free( (ADDRESS)pevpoint, n * sizeof( number ) );
+        Free( (ADDRESS)wresults, m * sizeof( number ) );
+        WerrorS("Elements of second input ideal must be numbers!");
+        return TRUE;
       }
       wresults[i]= nCopy(pGetCoeff((w->m)[i]));
@@ -500,5 +540,5 @@
 //<-
 
-//-> function u_resultant_det 
+//-> function u_resultant_det
 poly u_resultant_det( ideal gls, int imtype )
 {
@@ -511,5 +551,6 @@
 
   // check input ideal ( = polynomial system )
-  if ( mprIdealCheck( gls, "", mtype ) != mprOk ) {
+  if ( mprIdealCheck( gls, "", mtype ) != mprOk )
+  {
     return emptypoly;
   }
@@ -523,11 +564,13 @@
 
   // if dense resultant, check if minor nonsingular
-  if ( mtype == uResultant::denseResMat ) {
+  if ( mtype == uResultant::denseResMat )
+  {
     smv= ures->accessResMat()->getSubDet();
 #ifdef mprDEBUG_PROT
     Print("// Determinant of submatrix: ");nPrint(smv); PrintLn();
 #endif
-    if ( nIsZero(smv) ) {
-      Werror("Unsuitable input ideal: Minor of resultant matrix is singular!");
+    if ( nIsZero(smv) )
+    {
+      WerrorS("Unsuitable input ideal: Minor of resultant matrix is singular!");
       return emptypoly;
     }
@@ -558,5 +601,5 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
+// End: ***
 
 // in folding: C-c x
Index: Singular/mpr_inout.h
===================================================================
--- Singular/mpr_inout.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_inout.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,9 +4,9 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_inout.h,v 1.1 1999-06-28 12:48:15 wenk Exp $ */
+/* $Id: mpr_inout.h,v 1.2 1999-06-28 16:06:28 Singular Exp $ */
 
-/* 
+/*
 * ABSTRACT - multipolynomial resultants - interface to Singular
-*   
+*
 */
 
@@ -18,9 +18,9 @@
 /** solve a multipolynomial system using the u-resultant
  * Input ideal must be 0-dimensional and pVariables == IDELEMS(ideal).
- * Resultant method can be MPR_DENSE, which uses Macaulay Resultant (good for 
- * dense homogeneous polynoms) or MPR_SPARSE, which uses Sparse Resultant 
+ * Resultant method can be MPR_DENSE, which uses Macaulay Resultant (good for
+ * dense homogeneous polynoms) or MPR_SPARSE, which uses Sparse Resultant
  * (Gelfand, Kapranov, Zelevinsky).
- * If interpolate == true then the determinant of the u-resultant will be 
- * numerically interpolatet using a Vandermonde System. 
+ * If interpolate == true then the determinant of the u-resultant will be
+ * numerically interpolatet using a Vandermonde System.
  * Otherwise, the Sparse Bareiss will be used (faster!).
  * Returns a list containing the roots of the system.
@@ -34,5 +34,5 @@
 
 /** find the (complex) roots an univariate polynomial
- * Determines the roots of an univariate polynomial using Laguerres' 
+ * Determines the roots of an univariate polynomial using Laguerres'
  * root-solver. Good for polynomials with low and middle degree (<40).
  * Returns a list containing the roots of the polynomial.
@@ -50,3 +50,3 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
+// End: ***
